<template>
  <el-table
    ref="table"
    v-bind="$attrs"
    :row-click="rowClick"
    style="width: 100%">
  </el-table>
</template>

<script>
export default {
  name: "Table",
  props: {
    tableData: {
      require: true,
      type: Array
    }
  },
  methods: {
    rowClick(row) {
      this.$refs.table.toggleRowSelection(row, true)
    }
  }
}
</script>

<style scoped>

</style>
